Beobachtete Paket-ID 'Build-Tools, 20.0.0' in inkonsistenter Lage

./gradlew --parallel :app:assembleDebugTest 

Wenn ich über Befehl in android studio terminal Ich habe diesen Fehler.

Fehler Parallele Ausführung ist eine Inkubationsfunktion. Observed package id 'build-tools; 20.0.0' in inkonsistenter standort 'sdk / build-tools / android-4.4W' (Erwartete 'sdk / build-tools / 20.0.0')

Gradle-Datei gelten Plugin: 'com.android.application'

  android { compileSdkVersion 22 buildToolsVersion '23.0.2' packagingOptions { exclude 'LICENSE.txt' } defaultConfig { applicationId "package" minSdkVersion 15 targetSdkVersion 22 versionCode 1 versionName "1.0" testApplicationId "package.test" testInstrumentationRunner "package.test.Instrumentation" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } sourceSets { androidTest { assets.srcDirs = ['src/androidTest/assets'] } } adbOptions { timeOutInMs 60000 // set timeout to 1 minute } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:22.2.1' compile project(':sdk') androidTestCompile('com.android.support.test:runner:0.4') { exclude module: 'support-annotations' } androidTestCompile('com.android.support.test:rules:0.4') { exclude module: 'support-annotations' } androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.1') { exclude module: 'support-annotations' } androidTestCompile 'org.mockito:mockito-core:1.+' androidTestCompile 'com.google.dexmaker:dexmaker:1.2' androidTestCompile 'com.google.dexmaker:dexmaker-mockito:1.2' androidTestCompile('com.android.support.test.espresso:espresso-contrib:2.2.1') { exclude module: 'support-annotations' exclude group: 'com.android.support', module: 'appcompat' exclude group: 'com.android.support', module: 'support-v4' exclude module: 'recyclerview-v7' } androidTestCompile 'info.cukes:cucumber-android:1.2.0@jar' androidTestCompile 'info.cukes:cucumber-picocontainer:1.2.0' } 

Referenz: Cucumber Android Test Link

2 Solutions collect form web for “Beobachtete Paket-ID 'Build-Tools, 20.0.0' in inkonsistenter Lage”

Ich habe gestern den gleichen Fehler gesehen

Deinstallieren der Build-Tools: 20 für mich gearbeitet

Antwort auf dieses Thema war hilfreich

Benennen Sie den Ordner um

"Sdk / build-tools / android-4.4W" -> "sdk / build-tools / 20.0.0"

Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.